This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 803869 - Intel CPU microcode no longer updated on i7-920
Intel CPU microcode no longer updated on i7-920
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: microcode_ctl (Show other bugs)
5.8
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Anton Arapov
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 15:25 EDT by Michael Lampe
Modified: 2014-06-18 04:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 07:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Lampe 2012-03-15 15:25:56 EDT
Description of problem:

Intel CPU microcode no longer updated on i7-920.

Version-Release number of selected component (if applicable):

1.17-1.56.el5

How reproducible:

Always

Steps to Reproduce:
1. Update to 5.8
2. Reboot
3. Check 'dmesg' for microcode update
  
Actual results:

IA-32 Microcode Update Driver: v1.14a <tigran@veritas.com>
<NOTHING!>

Expected results:

IA-32 Microcode Update Driver: v1.14a <tigran@veritas.com>
microcode: CPU1 updated from revision 0xe to 0x11, date = 04142009
microcode: CPU6 updated from revision 0xe to 0x11, date = 04142009
microcode: CPU5 updated from revision 0xe to 0x11, date = 04142009
microcode: CPU7 updated from revision 0xe to 0x11, date = 04142009
microcode: CPU4 updated from revision 0xe to 0x11, date = 04142009
microcode: CPU3 updated from revision 0xe to 0x11, date = 04142009
microcode: CPU2 updated from revision 0xe to 0x11, date = 04142009
microcode: CPU0 updated from revision 0xe to 0x11, date = 04142009
Comment 1 Michael Lampe 2012-03-15 16:11:56 EDT
microcode-20101123.tgz directly from intel works. More recent versions don't.
Comment 2 Anton Arapov 2012-03-16 06:12:20 EDT
Thanks for the reporting an issue, I will look into this with Intel folks.
Comment 3 Anton Arapov 2012-04-25 07:23:01 EDT
Michael, perhaps you are doing something wrong, we've checked the microcode_ctl package it does contain the required microcode update. 

== freshly installed RHEL5.8:
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.8 Beta (Tikanga)
# cat /proc/cpuinfo
...
cpu family      : 6
model           : 26
model name      : Intel(R) Core(TM) i7 CPU         920  @ 2.67GHz
stepping        : 4
cache size      : 8192 KB
siblings        : 8
cpu cores       : 4
...
# rpm -q microcode_ctl
microcode_ctl-1.17-1.56.el5
# dmesg | grep -i microcode
IA-32 Microcode Update Driver: v1.14a <tigran@veritas.com>
microcode: CPU1 updated from revision 0xa to 0x11, date = 04212009 
microcode: CPU4 updated from revision 0xa to 0x11, date = 04212009 
microcode: CPU6 updated from revision 0xa to 0x11, date = 04212009 
microcode: CPU2 updated from revision 0xa to 0x11, date = 04212009 
microcode: CPU7 updated from revision 0xa to 0x11, date = 04212009 
microcode: CPU3 updated from revision 0xa to 0x11, date = 04212009 
microcode: CPU5 updated from revision 0xa to 0x11, date = 04212009 
microcode: CPU0 updated from revision 0xa to 0x11, date = 04212009 

Thus closing the bug.
Comment 4 Michael Lampe 2012-05-10 21:54:26 EDT
My 24 machines all say stepping == 5, not 4.

All of them have 'microcode_ctl-1.17-1.56.el5' installed.

None of them updates.

They did/do as described above.

Anyway ...

Note You need to log in before you can comment on or make changes to this bug.